gnutls_ocsp_req_set_nonce(3)

NAME
gnutls_ocsp_req_set_nonce - API function

SYNOPSIS
#include <gnutls/ocsp.h>

int gnutls_ocsp_req_set_nonce(gnutls_ocsp_req_t req, unsigned int critical, const gnutls_datum_t * nonce);

ARGUMENTS

gnutls_ocsp_req_t req
    should contain a gnutls_ocsp_req_t structure

unsigned int critical
    critical flag, normally false.

const gnutls_datum_t * nonce
    the nonce data

DESCRIPTION
This function will add an nonce extension to the OCSP request. Calling this function multiple times will overwrite values from earlier calls.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error code is returned.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/